<?php
    /*
    * ==================================================================
    * Animated Collapsible DIVs Plugin for CMSimple
    * ==================================================================
    * Version:    1.2
    * Released:   2011-08-19
    * Copyright:  Holger Irmler
    * Email:      CMSimple@HolgerIrmler.de
    * Website:    http://CMSimple.HolgerIrmler.de
    *
    * This Plugin based on "Animated Collapsible DIV v2.4"
    * (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)
    * ==================================================================
    */

	if ((!function_exists('sv')) || (strlen($sl) !== 2) || preg_match('/acdivs'.DIRECTORY_SEPARATOR.'index.php/i', sv('PHP_SELF')))die('Access denied');
	
    function acdivs($acDIVs_pages, $headers = '') {
        global
        $hjs,
        $pth,
        $cf, 		// from CMSimple config.php file;
        $c, 		// $c = content array  - array with all CMSimple content,
        $u, 		// $u = url array - array with every heading <h1>..<hx>,
        $su, 		// $su = selected url - the page the script is called from,
        $plugin_tx, // from plugin language.php file,
        $plugin_cf; // from plugin config.php file;
         
        $o = '';
		$jqerror = '';
		$show_headers = '';
         
        $plugin = basename(dirname(__FILE__), "/");
        $acDIVs_libs_folder = $pth['folder']['plugins'].$plugin."/libs";
		
		//xh_debugmode compatibility
		ini_set('display_errors', 0);
		error_reporting(0);
		if(function_exists('xh_debugmode')){
			xh_debugmode();
		}
        
		if(!file_exists($pth['folder']['plugins'].'jquery/jquery.inc.php')){
			$jqerror = 	'<div class="cmsimplecore_warning">'.
					$plugin_tx['acdivs']['jquery_missing'].
					'</div>';
			//drop the rest of the plugin-code
			return($jqerror);
		} else {
			//load inculde-file from jQuery-plugin
			include_once($pth['folder']['plugins'].'jquery/jquery.inc.php');
			//include jQuery to the <head>
			include_jQuery();
			//and the plugin...
			$hjs .= "\r\n<!-- Code start - inserted by Collapsible DIVs Plugin -->\r\n";
			include_jQueryPlugin('animatedcollapse', $acDIVs_libs_folder.'/animatedcollapse.js');
			$hjs .= "\r\n<script type=\"text/javascript\">\n";
			$hjs .= "//***********************************************\n";
			$hjs .= "// Animated Collapsible DIV v2.4- (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)\n";
			$hjs .= "// This notice MUST stay intact for legal use\n";
			$hjs .= "// Visit Dynamic Drive at http://www.dynamicdrive.com/ for this script and 100s more\n";
			$hjs .= "/***********************************************/\n";
			$hjs .= "</script>\n";
        
			$hjs .= "<script type=\"text/javascript\">\n";
        
			// build parameter string from plugin configuration
			$acDIVs_Params ='';
			$acDIVs_Params .= "group=default,";
			$acDIVs_Params .= "fade=".($plugin_cf['acdivs']['fade']).",";
			$acDIVs_Params .= "speed=".($plugin_cf['acdivs']['speed']).",";
			$acDIVs_Params .= "hide=".($plugin_cf['acdivs']['hide']).",";
			$acDIVs_Params .= "persist=".($plugin_cf['acdivs']['persist']);
			if($plugin_cf['acdivs']['height'] != '') {
				$acDIVs_Params .= ",height=".($plugin_cf['acdivs']['height'])."px";
			}
			
			if ($plugin_cf['acdivs']['show_header'] == 1) $show_headers = 1;
			if ($headers === 0) $show_headers = 0;
			if ($headers === 1) $show_headers = 1;

			$o .= "<!-- Code start - inserted by Collapsible DIVs Plugin -->\r\n";
			$o .= "<div id=\"acDIVs_wrapper\">\n";
	
			// Make array with the names of content pages from the script call
			$a_acDIVs_pages = explode('|', $acDIVs_pages);
			
			// Only Domain called and Plugin is installed at the first page
			$acdUrl = $su === FALSE ? $u[0] : $su;
			
			$acDIVsID = 1;
			$j = 1;
			// Find pages by heading in site-content and copy pagecontent by elements to Array
			// Content pages must be sub-pages from the calling page!
			foreach ($a_acDIVs_pages as $acDIVs_pages) {
				$acDIVs_search = $acdUrl.$cf['uri']['seperator'].$acDIVs_pages;
				// remember array_search is case sensitive
				if (array_search($acDIVs_search, $u) == 0) {
					$o .= '<div class="acDIVs_error">Animated Collapsible DIVs Plugin - ERROR:&nbsp;The page&nbsp;[&nbsp;<span class="acDIVs_error_header">' . $acDIVs_pages . '</span>&nbsp;]&nbsp;was not found!</div>';
				} else {
					$a_acDIVs_Content = preg_split("/<" . $plugin_cf['acdivs']['header'] . ".*?>(.*?)<\/" . $plugin_cf['acdivs']['header'] . ">/ism", $c[array_search($acDIVs_search, $u)], -1, PREG_SPLIT_DELIM_CAPTURE);
					if ($show_headers == 1) {
						$o .= '<a name="acH'.$j.'"></a>';
						$o .= "<div class=\"acDIVs_header\">" . htmlentities(urldecode(str_replace('_', ' ', (substr(strrchr($acDIVs_search, $cf['uri']['seperator']), 1))))) . "</div>";
						$j++;
					}

					$o .= "<div class=\"acDIVs_content\">\n";
		
					for ($i = 1; $i <= count($a_acDIVs_Content)-1; $i++) {
						if ($a_acDIVs_Content[$i] != ""){
							$o .= "<div class=\"acDIVs_link_row\">";
							$o .= "<a href=\"javascript:animatedcollapse.toggle("."'acDIV".$acDIVsID."'".")\">";
							$o .= "<script type=\"text/javascript\">";
							$o .= "document.write('".$a_acDIVs_Content[$i]."')";
							$o .= "</script>";
							$o .= "</a>";
							$o .= "<noscript>".$a_acDIVs_Content[$i]."</noscript>";
							$o .= "</div>\n";
							$o .= "<div id=\"acDIV".$acDIVsID."\" style=\"".$plugin_cf['acdivs']['style']."\">" . $a_acDIVs_Content[$i + 1];
							if ($plugin_cf['acdivs']['close_link'] == 1) {
								$o .= "<div class=\"acDIVs_btnClose\">";
								$o .= "<a href=\"javascript:animatedcollapse.toggle("."'acDIV".$acDIVsID."'".")\">";
								$o .= "<script type=\"text/javascript\">";
								$o .= "document.write('".$plugin_tx['acdivs']['btn_close']."')";
								$o .= "</script>";
								$o .= "</a>";
								$o .= "</div>\n";
							}
							$o .= "</div>\n";

							$hjs .= "animatedcollapse.addDiv('acDIV".$acDIVsID."', '".$acDIVs_Params."')\n";
                    	
							$i++;
							$acDIVsID++;
						}
					}

					$o .= "</div>\n";
				}
			}
        
			$hjs .= "animatedcollapse.init()\n";
			$hjs .= "</script>\n";
			$hjs .= "<!-- End of code - inserted by Collapsible DIVs Plugin -->\r\n"; 
        
			$o .= "<div class=\"acDIVs_copy\">";
			$o .= "<a href=\"http://CMSimple.HolgerIrmler.de/\"><i>made with acDIVs 1.2</i></a>";
			$o .= "</div>\n";
        
			$o .= "</div>\n"; // acDIVs_wrapper
			$o .= "<!-- End of Code - inserted by Collapsible DIVs Plugin -->\r\n";

			return $o;
		}
    }
?>